Bug 1411203 - [abiword] text cursor invisible in GNOME on Wayland session
Summary: [abiword] text cursor invisible in GNOME on Wayland session
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2017-01-09 05:21 UTC by Joachim Frieben
Modified: 2017-12-12 10:10 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:10:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Abisource 13767 None None None 2017-10-12 22:19 UTC

Description Joachim Frieben 2017-01-09 05:21:10 UTC
Description of problem:
Under GNOME on Wayland, the text cursor is invisible. It is therefore awkward to edit a text.

Version-Release number of selected component (if applicable):
abiword-3.0.2-3.fc25

How reproducible:
Always

Steps to Reproduce:
1. Start GNOME on Wayland.
2. Launch abiword and select text window.

Actual results:
No text cursor is visible.

Expected results:
Text cursor is visible.

Additional info:
Issue absent when using the X11 backend, e.g. when running 'GDK_BACKEND=x11 abiword'.

Comment 1 ykonoclast 2017-10-12 09:59:17 UTC
I can confirm the same exact bug is present in Fedora 26.

Comment 2 Paul Bolle 2017-10-12 12:13:33 UTC
Upstream bugreport: https://bugzilla.abisource.com/show_bug.cgi?id=13767 (upstream apparently uses "caret" where this report uses "cursor").

Comment 3 ykonoclast 2017-10-15 10:25:33 UTC
Precision : tried installing abiword on my desktop Fedora 26 PC : there the flickering screen bug is present but the caret is displayed.

The caret was not displayed on my laptop but the screen was not flickering. The difference in behaviour might be related to hardware discrepancies : intel IGP (open-source default driver) on the laptop, NVIDIA GPU (using proprietary driver) on the Desktop.

Comment 4 Fedora End Of Life 2017-11-16 14:05:57 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:10:19 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.